Next Previous Contents

## 3.48 em_commit

> Function

>   Commit changes into extended memory.

> Header

>   `em.h`

> Declaration

>   `void __fastcall__ em_commit (void);`

> Description

>   Commit changes in the memory window to extended storage. If the contents of the memory window have been changed, these changes may be lost if `em_map`, `em_use`, `em_copyfrom` or `em_copyto` are called without calling `em_commit` first.

> Limits

>   - Calling `em_commit` does not necessarily mean that changes to the memory window are discarded, it does just mean that the drivers is allowed to discard it.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - The function produces undefined results if no extended memory driver is loaded.
> Availability

>   cc65

> See also

>   em_load_driver, em_map, em_use

> Example

>   None.

Next Previous Contents